Leetcode 2486. Append Characters to String to Make SubsequenceIntuition Get the length of the subsequence (if any) and subtract it from the length of t to find out how many characters we have to append (if any) Approach Keep a count of the length of the subsequence while iterating through s and then subtract th...Jun 3, 2024 · 1 min readblog.kennycarneal.com
Leetcode 2441. Largest Positive Integer That Exists With It's NegativeIntuition Sort the array and check if the start and end of the array match. If not, increment or decrement accordingly. Approach First sort the array. Then use two pointers. One at the beginning, the other at the end. Check to see if the value at the...May 3, 2024 · 1 min readblog.kennycarneal.com
Leetcode 2000 Reverse Prefix of WordIntuition Find position of ch (if any) then use two pointers to swap characters until string is reveresed from beginning to index of ch Approach Start by checking each character for ch. If we find it, that's where our right pointer will start. Our le...May 1, 2024 · 1 min readblog.kennycarneal.com
Leetcode 1544. Make String GreatIntuition Use two pointers to iterate through the string checking each adjacent character to see if it is "bad" or "good". Approach First if the string is 1 or fewer characters we know it is good so we can just return it. If that's not the case, we c...Apr 5, 2024 · 2 min readblog.kennycarneal.com
Leetcode 2540. Minimum Common ValueIntuition Since both arrays are sorted, we can find the minimum common value by iterating from left to right with two pointers. Approach Initialize both pointers to 0 to start at the beginning of the array. While both pointers are within bounds of th...Mar 9, 2024 · 2 min readblog.kennycarneal.com